Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class InstrumentsDbEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.InstrumentsDbEvent

All Implemented Interfaces:
  java.io.Serializable

    public class InstrumentsDbEvent

extends java.util.EventObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstrumentsDbEvent(java.lang.Object source, int jobId)` Constructs an `InstrumentsDbEvent` object.
`InstrumentsDbEvent(java.lang.Object source, java.lang.String pathName)` Constructs an `InstrumentsDbEvent` object.
`InstrumentsDbEvent(java.lang.Object source, java.lang.String pathName, java.lang.String newName)` Constructs an `InstrumentsDbEvent` object.

Method Summary
`int` | `getJobId()` Returns the ID of the job, which status has changed.
`java.lang.String` | `getNewName()` When an instrument or directory is renamed, this method returns the new (non-escaped) name for the respective instrument or directory.
`java.lang.String` | `getPathName()` Gets the (escaped) path name of the changed instrument or directory.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstrumentsDbEvent

    public InstrumentsDbEvent(java.lang.Object source,
                              java.lang.String pathName)

  Constructs an `InstrumentsDbEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `pathName` - Depending on the event this is the absolute path name of either a directory, or an instrument.

### InstrumentsDbEvent

    public InstrumentsDbEvent(java.lang.Object source,
                              java.lang.String pathName,
                              java.lang.String newName)

  Constructs an `InstrumentsDbEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `pathName` - Depending on the event this is the absolute (escaped) path name of either a directory, or an instrument.
    `newName` - When an instrument or directory is renamed, specifies the new (non-escaped) name for the respective instrument or directory.

### InstrumentsDbEvent

    public InstrumentsDbEvent(java.lang.Object source,
                              int jobId)

  Constructs an `InstrumentsDbEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `jobId` - The job ID.

Method Detail

### getPathName

    public java.lang.String getPathName()

  Gets the (escaped) path name of the changed instrument or directory.

### getNewName

    public java.lang.String getNewName()

  When an instrument or directory is renamed, this method returns the new (non-escaped) name for the respective instrument or directory.

### getJobId

    public int getJobId()

  Returns the ID of the job, which status has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.